commit:     7fafa36104e3d88ab6df5bda29cc019f729dfac8
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 16 18:56:03 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Wed Feb 16 18:56:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7fafa361

app-emacs/websocket: add missing || die after tests

Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 app-emacs/websocket/websocket-1.12.ebuild | 4 ++--
 app-emacs/websocket/websocket-1.13.ebuild | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/app-emacs/websocket/websocket-1.12.ebuild 
b/app-emacs/websocket/websocket-1.12.ebuild
index c512baa9f3c7..b70eabe48fad 100644
--- a/app-emacs/websocket/websocket-1.12.ebuild
+++ b/app-emacs/websocket/websocket-1.12.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -23,7 +23,7 @@ src_compile() {
 
 src_test() {
        ${EMACS} ${EMACSFLAGS} -L . -l websocket-test \
-               -f ert-run-tests-batch-and-exit
+               -f ert-run-tests-batch-and-exit || die "tests failed"
 }
 
 src_install() {

diff --git a/app-emacs/websocket/websocket-1.13.ebuild 
b/app-emacs/websocket/websocket-1.13.ebuild
index d222795cdb0b..f9c4df32459b 100644
--- a/app-emacs/websocket/websocket-1.13.ebuild
+++ b/app-emacs/websocket/websocket-1.13.ebuild
@@ -23,7 +23,7 @@ src_compile() {
 
 src_test() {
        ${EMACS} ${EMACSFLAGS} -L . -l websocket-test \
-               -f ert-run-tests-batch-and-exit
+               -f ert-run-tests-batch-and-exit || die "tests failed"
 }
 
 src_install() {

Reply via email to